## org.eclipse.m2m.atl.debug.core
Class AtlDebugElement

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.m2m.atl.debug.core.AtlDebugElement

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.debug.core.model.IDebugElement

Direct Known Subclasses:
  AtlDebugTarget, AtlStackFrame, AtlThread, AtlValue, AtlVariable

    public abstract class AtlDebugElement

extends org.eclipse.core.runtime.PlatformObject
implements org.eclipse.debug.core.model.IDebugElement

An abstract class to mark debugged elements.

Field Summary
`protected AtlDebugTarget` `fTarget` containing target.

Constructor Summary
`AtlDebugElement(AtlDebugTarget target)` Constructs a new debug element contained in the given debug target.

Method Summary
`protected void` `abort(java.lang.String message, java.lang.Throwable e)` Aborts the current debug.
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`org.eclipse.debug.core.model.IDebugTarget` `getDebugTarget()`
`org.eclipse.debug.core.ILaunch` `getLaunch()`
`java.lang.String` `getModelIdentifier()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fTarget

    protected AtlDebugTarget fTarget

  containing target.

Constructor Detail

### AtlDebugElement

    public AtlDebugElement(AtlDebugTarget target)

  Constructs a new debug element contained in the given debug target.

  Parameters:
    `target` - debug target (PDA VM)

Method Detail

### getModelIdentifier

    public java.lang.String getModelIdentifier()

  Specified by:
    `getModelIdentifier` in interface `org.eclipse.debug.core.model.IDebugElement`

### getDebugTarget

    public org.eclipse.debug.core.model.IDebugTarget getDebugTarget()

  Specified by:
    `getDebugTarget` in interface `org.eclipse.debug.core.model.IDebugElement`
  See Also:
    `IDebugElement.getDebugTarget()`

### getLaunch

    public org.eclipse.debug.core.ILaunch getLaunch()

  Specified by:
    `getLaunch` in interface `org.eclipse.debug.core.model.IDebugElement`
  See Also:
    `IDebugElement.getLaunch()`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
  Overrides:
    `getAdapter` in class `org.eclipse.core.runtime.PlatformObject`
  See Also:
    `PlatformObject.getAdapter(java.lang.Class)`

### abort

    protected void abort(java.lang.String message,
                         java.lang.Throwable e)
                  throws org.eclipse.debug.core.DebugException

  Aborts the current debug.

  Parameters:
    `message` - abort message
    `e` - exception
  Throws:
    `org.eclipse.debug.core.DebugException`

Copyright 2007 IBM Corporation and others. All Rights Reserved.